> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an entity bank account

> Add a new US bank account for the specified entity.

Required fields are `account_holder_name`, `account_number` and `routing_number`. Optionally provide
`bank_name` and `display_name`.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json post /finops/v1/bank-details
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/bank-details:
    post:
      tags:
        - Bank details
      summary: Create an entity bank account
      description: >-
        Add a new US bank account for the specified entity.


        Required fields are `account_holder_name`, `account_number` and
        `routing_number`. Optionally provide

        `bank_name` and `display_name`.
      operationId: post_bank-details
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEntityBankAccountRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityBankAccountResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: Business logic error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateEntityBankAccountRequest:
      properties:
        account_holder_name:
          type: string
          maxLength: 200
          minLength: 1
          description: >-
            The name of the person or business that owns this bank account.
            Required in the following cases:

            * the account currency is GBP or USD,

            * the account currency is EUR and the entity wishes to receive SEPA
            Credit transfers to this account.
          example: Cayla Lloyd
        account_number:
          type: string
          description: >-
            The bank account number. Required if the account currency is GBP or
            USD. UK account numbers typically contain 8 digits. US bank account
            numbers contain 9 to 12 digits.
          example: '123456789'
        bank_name:
          type: string
          description: The bank name.
          example: Chase
        display_name:
          type: string
          maxLength: 200
          minLength: 1
          description: >-
            User-defined name of this bank account, such as 'Primary account' or
            'Savings account'.
          example: Primary account
        routing_number:
          type: string
          description: >-
            The bank's routing transit number (RTN) or branch code. Required if
            the account currency is USD. US routing numbers consist of 9 digits.
          example: '123456789'
      additionalProperties: false
      type: object
      description: Represents a US bank account (bank details) owned by an entity.
    EntityBankAccountResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the bank account.
        account_holder_name:
          type: string
          description: >-
            The name of the person or business that owns this bank account.
            Required in the following cases:

            * the account currency is GBP or USD,

            * the account currency is EUR and the entity wishes to receive SEPA
            Credit transfers to this account.
          example: Cayla Lloyd
        account_number:
          type: string
          description: >-
            The bank account number. Required if the account currency is GBP or
            USD. UK account numbers typically contain 8 digits. US bank account
            numbers contain 9 to 12 digits.
          example: '123456789'
        account_number_last4:
          type: string
          description: >-
            The last 4 digits of bank account number. Required if the account
            currency is GBP or USD and there is no information about the full
            account number.
          example: '5678'
        bank_name:
          type: string
          description: The bank name.
          example: Chase
        display_name:
          type: string
          description: >-
            User-defined name of this bank account, such as 'Primary account' or
            'Savings account'.
          example: Primary account
        routing_number:
          type: string
          description: >-
            The bank's routing transit number (RTN) or branch code. Required if
            the account currency is USD. US routing numbers consist of 9 digits.
          example: '123456789'
        was_created_by_user_id:
          type: string
          format: uuid
          description: >-
            ID of the entity user who added this bank account, or `null` if it
            was added using a partner access token.
      type: object
      required:
        - id
      description: Represents a US bank account (bank details) owned by an entity.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````